> ## Documentation Index
> Fetch the complete documentation index at: https://developers.circle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a mock PIX payment

> Initiates a mock PIX payment in the sandbox environment that mimics the behavior of funds sent through the bank account linked to the main wallet.



## OpenAPI

````yaml openapi/cross-currency.yaml post /v1/mocks/payments/pix
openapi: 3.0.2
info:
  version: ${version}
  title: Cross-Currency API
  description: >
    The Circle Cross-Currency API allows you to exchange fiat for USDC and
    exchange USDC for EURC.
servers:
  - url: https://api-sandbox.circle.com
  - url: https://api.circle.com
security: []
tags:
  - name: Trades
    description: Execute currency exchange trades.
  - name: Payments
    description: Payment endpoints.
  - name: Settlements
    description: Settlement endpoints
paths:
  /v1/mocks/payments/pix:
    post:
      tags:
        - Payments
      summary: Create a mock PIX payment
      description: >-
        Initiates a mock PIX payment in the sandbox environment that mimics the
        behavior of funds sent through the bank account linked to the main
        wallet.
      operationId: createMockPixPayment
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MockPixPaymentRequest'
      responses:
        '201':
          description: Successfully created a mock PIX payment.
          headers:
            X-Request-Id:
              $ref: '#/components/headers/XRequestId'
          content:
            application/json:
              schema:
                title: CreatePixPaymentResponse
                properties:
                  data:
                    $ref: '#/components/schemas/MockPixPaymentResponse'
              examples:
                response:
                  value:
                    data:
                      trackingRef: CIR13FB13A
                      amount:
                        amount: '3.14'
                        currency: BRL
                      beneficiaryAccountNumber: '4842622'
                      status: pending
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/NotAuthorized'
      security:
        - bearerAuth: []
components:
  schemas:
    MockPixPaymentRequest:
      type: object
      required:
        - trackingRef
        - amount
        - accountNumber
      properties:
        trackingRef:
          type: string
          description: >-
            PIX tracking reference that needs to be set in the PIX reference to
            beneficiary field. This field is retrievable through the response
            during PIX creation or via the bank instruction endpoint.
          example: CIR13FB13A
        amount:
          type: object
          required:
            - amount
            - currency
          properties:
            amount:
              description: Magnitude of the amount, in units of the currency, with a `.`.
              type: string
              example: '3.14'
            currency:
              type: string
              enum:
                - BRL
        accountNumber:
          type: string
          description: The account number that the money should be transferred to.
          example: '4842622'
    MockPixPaymentResponse:
      type: object
      properties:
        trackingRef:
          type: string
          description: >-
            PIX tracking reference that needs to be set in the PIX reference to
            beneficiary field. This field is retrievable through the response
            during PIX creation or via the bank instruction endpoint.
          example: CIR13FB13A
        amount:
          type: object
          required:
            - amount
            - currency
          properties:
            amount:
              description: Magnitude of the amount, in units of the currency, with a `.`.
              type: string
              example: '3.14'
            currency:
              type: string
              enum:
                - BRL
        beneficiaryAccountNumber:
          type: string
          example: '4842622'
        status:
          type: string
          description: >-
            Enumerated status of the PIX payment. Status `pending` indicates
            that the PIX payment is in process; `processed` indicates it
            finished successfully; `failed` indicates it failed.
          enum:
            - pending
            - processed
            - failed
  headers:
    XRequestId:
      description: >-
        Universally unique identifier (UUID v4) for the request. Helpful for
        identifying a request when communicating with Circle support.
      schema:
        type: string
        format: uuid
        example: 2adba88e-9d63-44bc-b975-9b6ae3440dde
  responses:
    BadRequest:
      description: The request cannot be processed due to a client error.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            type: object
            title: BadRequest
            required:
              - code
              - message
            properties:
              code:
                type: integer
                example: 400
              message:
                type: string
                example: Something went wrong.
            example:
              code: 400
              message: Bad request.
          examples:
            response:
              value:
                code: 400
                message: Bad request.
    NotAuthorized:
      description: >-
        The request has not been applied because it lacks valid authentication
        credentials.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            type: object
            title: NotAuthorized
            required:
              - code
              - message
            properties:
              code:
                type: integer
                example: 400
              message:
                type: string
                example: Something went wrong.
            example:
              code: 401
              message: Malformed authorization.
          examples:
            response:
              value:
                code: 401
                message: Malformed authorization.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````